# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Jun 28 15:47:43 2022
# ------------------------------------------------

package:
  name: psutil
  version: 5.9.0
source:
  fn: psutil-5.9.0.tar.gz
  sha256: 869842dbd66bb80c3217158e629d6fceaecc3a3166d3d1faee515b05dd26ca25
  url: https://pypi.io/packages/source/p/psutil/psutil-5.9.0.tar.gz
build:
  number: '0'
  script: /opt/conda/conda-bld/psutil_1656431268089/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install --ignore-installed --no-deps .
  string: py310h5eee18b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.4.26 h06a4308_0
    - certifi 2022.6.15 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.0.3 h7f8727e_2
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1o h7f8727e_0
    - pip 21.2.4 py310h06a4308_0
    - python 3.10.4 h12debd9_0
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py310h06a4308_0
    - sqlite 3.38.5 hc218d9a_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - libgcc-ng >=11.2.0
    - python >=3.10,<3.11.0a0
test:
  commands:
    - pip check
  imports:
    - psutil
    - psutil.tests
  requires:
    - pip
about:
  description: 'psutil (process and system utilities) is a cross-platform library
    for

    retrieving information on running processes and system utilization (CPU,

    memory, disks, network) in Python. It is useful mainly for system

    monitoring, profiling and limiting process resources and management of

    running processes.

    '
  dev_url: https://github.com/giampaolo/psutil
  doc_source_url: https://github.com/giampaolo/psutil/blob/master/docs/index.rst
  doc_url: https://psutil.readthedocs.io/en/latest/
  home: https://github.com/giampaolo/psutil
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A cross-platform process and system utilities module for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: ca3c9b78-40aa-4fd4-aafe-4bcab4d27981
  recipe-maintainers:
    - gqmelo
    - jakirkham
    - jjhelmus
    - nehaljwani
    - pelson
  remote_url: git@github.com:AnacondaRecipes/psutil-feedstock.git
  sha: eab26e6055a98cf653bf50eceef6ce72b3e28d32
